Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Interface IEssCubeView

All Superinterfaces:
  IEssBaseObject, IEssExtendedObject, IEssProperties

public interface IEssCubeView
extends IEssExtendedObject, IEssProperties

The IEssCubeView interface.

Nested Class Summary
`static class` | `IEssCubeView.EEssIndentStyle` The EEssIndentStyle is an enumeration of indent styles.
`static class` | `IEssCubeView.EEssQueryGrammar` The EEssQueryGrammar class is an enumeration of query language grammars.

Nested classes inherited from class com.essbase.api.base.IEssProperties
`IEssProperties.EEssPropertyMode`

Field Summary
`static int` | `PROP_ALIAS_TABLE_NAME`
`static int` | `PROP_CONNECTION_POOL_NAME`
`static int` | `PROP_DESCRIPTION`
`static int` | `PROP_DISPLAY_UNKNOWN_MEMBERS`
`static int` | `PROP_DRILL_LEVEL`
`static int` | `PROP_ENABLE_HYBRID_ANALYSIS`
`static int` | `PROP_INDENT_STYLE`
`static int` | `PROP_IS_ALIAS_NAMES`
`static int` | `PROP_IS_EMPTY_GRID_ERROR`
`static int` | `PROP_IS_ENABLE_DATALESS_NAVIGATION`
`static int` | `PROP_IS_INCLUDE_SELECTION`
`static int` | `PROP_IS_REPEAT_MEMBER_NAMES`
`static int` | `PROP_IS_SELECTION_ONLY`
`static int` | `PROP_IS_SPECIFY_LATEST_MEMBER`
`static int` | `PROP_IS_SUPPRESS_MISSING`
`static int` | `PROP_IS_SUPPRESS_UNDERSCORE`
`static int` | `PROP_IS_SUPPRESS_ZERO`
`static int` | `PROP_IS_USE_BOTH_FOR_ROW_DIMENSIONS`
`static int` | `PROP_IS_WITHIN_SELECTED_GROUP`
`static int` | `PROP_LATEST_MEMBER_NAME`
`static int` | `PROP_MID_TIER_CACHING_ENABLED`
`static int` | `PROP_NAME`
`static int` | `s_countProperties`
`static IEssValueAny.EEssDataType[]` | `s_propDataTypes`
`static IEssProperties.EEssPropertyMode[]` | `s_propModes`
`static java.lang.String[]` | `s_propNames`

Method Summary
`void` | `close()` Closes the cube view.
`IEssOpCalculate` | `createIEssOpCalculate()` Creates an object for the interface IEssOpCalculate.
`IEssOpKeepOnly` | `createIEssOpKeepOnly()` Creates an object for the interface IEssOpKeepOnly.
`IEssOpLock` | `createIEssOpLock()` Creates an object for the interface IEssOpLock.
`IEssOpMdxQuery` | `createIEssOpMdxQuery()` Creates an object for the interface IEssOpMdxQuery.
`IEssOpPivot` | `createIEssOpPivot()` Creates an object for the interface IEssOpPivot.
`IEssOpRemoveOnly` | `createIEssOpRemoveOnly()` Creates an object for the interface IEssOpRemoveOnly.
`IEssOpReport` | `createIEssOpReport()` Creates an object for the interface IEssOpReport.
`IEssOpRetrieve` | `createIEssOpRetrieve()` Creates an object for the interface IEssOpRetrieve.
`IEssOpUndo` | `createIEssOpUndo()` Creates an object for the interface IEssOpUndo.
`IEssOpUnlock` | `createIEssOpUnlock()` Creates an object for the interface IEssOpUnlock.
`IEssOpUpdate` | `createIEssOpUpdate()` Creates an object for the interface IEssOpUpdate.
`IEssOpZoomIn` | `createIEssOpZoomIn()` Creates an object for the interface IEssOpZoomIn.
`IEssOpZoomOut` | `createIEssOpZoomOut()` Creates an object for the interface IEssOpZoomOut.
`void` | `emailOutput(java.lang.String to, java.lang.String cc, java.lang.String bcc, java.lang.String subject)` Send an e-mail of the output to the specified recipients.
`java.lang.String` | `getAliasTable()` Gets the alias table name.
`java.lang.String` | `getConnectionPoolName()` Gets the name of the connection pool used.
`IEssCube` | `getCube()` Gets the parent cube.
`java.lang.String` | `getDescription()` Gets the cube view description.
`IEssOpZoomIn.EEssZoomInPreference` | `getDrillLevel()` Gets the drill level.
`IEssGridView` | `getGridView()` Gets the grid view of the cube view.
`java.lang.String` | `getHtmlOutput()` Gets the HTML view of the output.
`IEssCubeView.EEssIndentStyle` | `getIndentStyle()` Gets the indent style.
`java.lang.String` | `getLatestMemberName()` Gets the latest member name.
`IEssMdDataSet` | `getMdDataSet()` Gets the result after running MDX query operation.
`java.lang.String` | `getName()` Gets the cube view name.
`boolean` | `isAliasNames()` Checks if alias names.
`boolean` | `isDatalessNavigation()` Checks if data less navigation is enabled.
`boolean` | `isDisplayUnknownMembers()` Checks if to display unknown members in the grid.
`boolean` | `isEmptyGridError()` Checks if to error on empty grid.
`boolean` | `isHybridAnalysisEnabled()` Checks if hybrid analysis is enabled.
`boolean` | `isIncludeSelection()` Checks if to include selection.
`boolean` | `isMidTierCachingEnabled()` Checks if mid-tier caching is enabled.
`boolean` | `isRepeatMemberNames()` Checks if to repeat member names.
`boolean` | `isSelectionOnly()` Checks if selection only.
`boolean` | `isSpecifyLatestMember()` Checks if to specify latest member.
`boolean` | `isSuppressMissing()` Checks if suppress missing.
`boolean` | `isSuppressUnderscore()` Checks if suppress underscore.
`boolean` | `isSuppressZero()` Checks if suppress zero.
`boolean` | `isUseBothForRowDimensions()` Checks if to use both for row dimensions.
`boolean` | `isWithinSelectedGroup()` Checks if within selected group.
`IEssMember[]` | `memberSelection(java.lang.String mbrName, int queryType, int queryOptions, java.lang.String dimName, java.lang.String input1, java.lang.String input2)` Performs member selection.
`IEssMember[]` | `memberSelection(java.lang.String mbrSel, java.lang.String fldSel)` Performs member selection.
`void` | `performOperation(IEssOperation operation)` Performs an operation on the cube view.
`void` | `refreshPropertyValues()` Refreshes the property values.
`void` | `save()` Saves the cube view to the domain store with the current name.
`void` | `save(java.lang.String cubeViewName)` Saves the cube view to the domain store with the new name.
`void` | `setAliasNames(boolean aliasNames)` Sets if alias names.
`void` | `setAliasTable(java.lang.String aliasTableName)` Sets the alias table name.
`void` | `setDatalessNavigation(boolean datalessNavigation)` Sets if data less navigation is enabled.
`void` | `setDescription(java.lang.String description)` Sets the cube view description.
`void` | `setDisplayUnknownMembers(boolean dispUnknown)` Sets if to display unknown members in the grid.
`void` | `setDrillLevel(IEssOpZoomIn.EEssZoomInPreference drillLevel)` Sets the drill level.
`void` | `setEmptyGridError(boolean emptyGridError)` Sets if to error on empty grid.
`void` | `setHybridAnalysisEnabled(boolean enableHa)` Sets if hybrid analysis is enabled.
`void` | `setIncludeSelection(boolean includeSelection)` Sets to include selection.
`void` | `setIndentStyle(IEssCubeView.EEssIndentStyle indentStyle)` Sets the indent style.
`void` | `setLatestMemberName(java.lang.String latestMemberName)` Sets the latest member name.
`void` | `setMidTierCachingEnabled(boolean mtCachingEnabled)` Sets if mid-tier caching is enabled.
`void` | `setRepeatMemberNames(boolean repeatMemberNames)` Sets to repeat member names.
`void` | `setSelectionOnly(boolean selectionOnly)` Sets if selection only.
`void` | `setSpecifyLatestMember(boolean specifyLatestMember)` Sets if to specify latest member.
`void` | `setSuppressMissing(boolean suppressMissing)` Sets if suppress missing.
`void` | `setSuppressUnderscore(boolean suppUnderscore)` Sets if suppress underscore.
`void` | `setSuppressZero(boolean suppressZero)` Sets if suppress zero.
`void` | `setUseBothForRowDimensions(boolean useBothForRowDimensions)` Sets if to use both for row dimensions.
`void` | `setWithinSelectedGroup(boolean withinSelectedGroup)` Sets if within selected group.
`void` | `updatePropertyValues()` Updates the property values.

Methods inherited from interface com.essbase.api.base.IEssExtendedObject
`clearClientCache, getParent, getParentBase, isClientCachingEnabled, setClientCachingEnabled`

Methods inherited from interface com.essbase.api.base.IEssProperties
`getCountProperties, getPropertyDataType, getPropertyDataType, getPropertyDataTypes, getPropertyId, getPropertyMode, getPropertyMode, getPropertyModes, getPropertyName, getPropertyNames, getPropertyValueAny, getPropertyValueAny, setPropertyValueAny, setPropertyValueAny`

Field Detail

### PROP_NAME

    public static final int PROP_NAME

See Also:
  Constant Field Values

### PROP_DESCRIPTION

    public static final int PROP_DESCRIPTION

See Also:
  Constant Field Values

### PROP_DRILL_LEVEL

    public static final int PROP_DRILL_LEVEL

See Also:
  Constant Field Values

### PROP_IS_INCLUDE_SELECTION

    public static final int PROP_IS_INCLUDE_SELECTION

See Also:
  Constant Field Values

### PROP_IS_SELECTION_ONLY

    public static final int PROP_IS_SELECTION_ONLY

See Also:
  Constant Field Values

### PROP_IS_WITHIN_SELECTED_GROUP

    public static final int PROP_IS_WITHIN_SELECTED_GROUP

See Also:
  Constant Field Values

### PROP_INDENT_STYLE

    public static final int PROP_INDENT_STYLE

See Also:
  Constant Field Values

### PROP_IS_SUPPRESS_MISSING

    public static final int PROP_IS_SUPPRESS_MISSING

See Also:
  Constant Field Values

### PROP_IS_SUPPRESS_ZERO

    public static final int PROP_IS_SUPPRESS_ZERO

See Also:
  Constant Field Values

### PROP_IS_SUPPRESS_UNDERSCORE

    public static final int PROP_IS_SUPPRESS_UNDERSCORE

See Also:
  Constant Field Values

### PROP_IS_ALIAS_NAMES

    public static final int PROP_IS_ALIAS_NAMES

See Also:
  Constant Field Values

### PROP_ALIAS_TABLE_NAME

    public static final int PROP_ALIAS_TABLE_NAME

See Also:
  Constant Field Values

### PROP_IS_ENABLE_DATALESS_NAVIGATION

    public static final int PROP_IS_ENABLE_DATALESS_NAVIGATION

See Also:
  Constant Field Values

### PROP_IS_EMPTY_GRID_ERROR

    public static final int PROP_IS_EMPTY_GRID_ERROR

See Also:
  Constant Field Values

### PROP_IS_REPEAT_MEMBER_NAMES

    public static final int PROP_IS_REPEAT_MEMBER_NAMES

See Also:
  Constant Field Values

### PROP_IS_USE_BOTH_FOR_ROW_DIMENSIONS

    public static final int PROP_IS_USE_BOTH_FOR_ROW_DIMENSIONS

See Also:
  Constant Field Values

### PROP_IS_SPECIFY_LATEST_MEMBER

    public static final int PROP_IS_SPECIFY_LATEST_MEMBER

See Also:
  Constant Field Values

### PROP_LATEST_MEMBER_NAME

    public static final int PROP_LATEST_MEMBER_NAME

See Also:
  Constant Field Values

### PROP_MID_TIER_CACHING_ENABLED

    public static final int PROP_MID_TIER_CACHING_ENABLED

See Also:
  Constant Field Values

### PROP_CONNECTION_POOL_NAME

    public static final int PROP_CONNECTION_POOL_NAME

See Also:
  Constant Field Values

### PROP_ENABLE_HYBRID_ANALYSIS

    public static final int PROP_ENABLE_HYBRID_ANALYSIS

See Also:
  Constant Field Values

### PROP_DISPLAY_UNKNOWN_MEMBERS

    public static final int PROP_DISPLAY_UNKNOWN_MEMBERS

See Also:
  Constant Field Values

### s_countProperties

    public static final int s_countProperties

See Also:
  Constant Field Values

### s_propNames

    public static final java.lang.String[] s_propNames

### s_propDataTypes

    public static final IEssValueAny.EEssDataType[] s_propDataTypes

### s_propModes

    public static final IEssProperties.EEssPropertyMode[] s_propModes

Method Detail

### getName

    public java.lang.String getName()
                             throws EssException

  Gets the cube view name.

  Specified by:
    `getName` in interface `IEssExtendedObject`
  Returns:
    The cube view name.
  Throws:
    `EssException` - if an error occurs.

### getDescription

    public java.lang.String getDescription()
                                    throws EssException

  Gets the cube view description.

  Returns:
    The cube view description.
  Throws:
    `EssException` - if an error occurs.
  See Also:
    `refreshPropertyValues()`

### setDescription

    public void setDescription(java.lang.String description)
                        throws EssException

  Sets the cube view description. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `description` - The cube view description.
  Throws:
    `EssException` - if an error occurs.
  See Also:
    `updatePropertyValues()`

### getDrillLevel

    public IEssOpZoomIn.EEssZoomInPreference getDrillLevel()
                                                    throws EssException

  Gets the drill level.

  Returns:
    The drill level (i.e zoom in preference).
  Throws:
    `EssException` - if an error occurs.

### setDrillLevel

    public void setDrillLevel(IEssOpZoomIn.EEssZoomInPreference drillLevel)
                       throws EssException

  Sets the drill level. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `drillLevel` - The drill level (i.e zoom in preference).
  Throws:
    `EssException` - if an error occurs.

### isIncludeSelection

    public boolean isIncludeSelection()
                               throws EssException

  Checks if to include selection.

  Returns:
    true if to include selection.
  Throws:
    `EssException` - if an error occurs.

### setIncludeSelection

    public void setIncludeSelection(boolean includeSelection)
                             throws EssException

  Sets to include selection. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `includeSelection` - true if to include selection.
  Throws:
    `EssException` - if an error occurs.

### isSelectionOnly

    public boolean isSelectionOnly()
                            throws EssException

  Checks if selection only.

  Returns:
    true if selection only.
  Throws:
    `EssException` - if an error occurs.

### setSelectionOnly

    public void setSelectionOnly(boolean selectionOnly)
                          throws EssException

  Sets if selection only. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `selectionOnly` - true if selection only.
  Throws:
    `EssException` - if an error occurs.

### isWithinSelectedGroup

    public boolean isWithinSelectedGroup()
                                  throws EssException

  Checks if within selected group.

  Returns:
    true if within selected group.
  Throws:
    `EssException` - if an error occurs.

### setWithinSelectedGroup

    public void setWithinSelectedGroup(boolean withinSelectedGroup)
                                throws EssException

  Sets if within selected group. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `withinSelectedGroup` - true if within selected group.
  Throws:
    `EssException` - if an error occurs.

### getIndentStyle

    public IEssCubeView.EEssIndentStyle getIndentStyle()
                                                throws EssException

  Gets the indent style.

  Returns:
    The indent style.
  Throws:
    `EssException` - if an error occurs.

### setIndentStyle

    public void setIndentStyle(IEssCubeView.EEssIndentStyle indentStyle)
                        throws EssException

  Sets the indent style. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `indentStyle` - The indent style.
  Throws:
    `EssException` - if an error occurs.

### isSuppressMissing

    public boolean isSuppressMissing()
                              throws EssException

  Checks if suppress missing.

  Returns:
    true if suppress missing.
  Throws:
    `EssException` - if an error occurs.

### setSuppressMissing

    public void setSuppressMissing(boolean suppressMissing)
                            throws EssException

  Sets if suppress missing. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `suppressMissing` - true if suppress missing.
  Throws:
    `EssException` - if an error occurs.

### isSuppressZero

    public boolean isSuppressZero()
                           throws EssException

  Checks if suppress zero.

  Returns:
    true if suppress zero.
  Throws:
    `EssException` - if an error occurs.

### setSuppressZero

    public void setSuppressZero(boolean suppressZero)
                         throws EssException

  Sets if suppress zero. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `suppressZero` - true if suppress zero.
  Throws:
    `EssException` - if an error occurs.

### isSuppressUnderscore

    public boolean isSuppressUnderscore()
                                 throws EssException

  Checks if suppress underscore.

  Returns:
    true if suppress underscore.
  Throws:
    `EssException` - if an error occurs.

### setSuppressUnderscore

    public void setSuppressUnderscore(boolean suppUnderscore)
                               throws EssException

  Sets if suppress underscore. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `suppUnderscore` - true if suppress underscore.
  Throws:
    `EssException` - if an error occurs.

### isAliasNames

    public boolean isAliasNames()
                         throws EssException

  Checks if alias names.

  Returns:
    true if alias names.
  Throws:
    `EssException` - if an error occurs.

### setAliasNames

    public void setAliasNames(boolean aliasNames)
                       throws EssException

  Sets if alias names. The change will become effective after you invoke updatePropertyValues().

  Returns:
    aliasNames true if alias names.
  Throws:
    `EssException` - if an error occurs.

### getAliasTable

    public java.lang.String getAliasTable()
                                   throws EssException

  Gets the alias table name.

  Returns:
    The alias table name.
  Throws:
    `EssException` - if an error occurs.

### setAliasTable

    public void setAliasTable(java.lang.String aliasTableName)
                       throws EssException

  Sets the alias table name. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `aliasTableName` - The alias table name.
  Throws:
    `EssException` - if an error occurs.

### isDatalessNavigation

    public boolean isDatalessNavigation()
                                 throws EssException

  Checks if data less navigation is enabled.

  Returns:
    true if data less navigation.
  Throws:
    `EssException` - if an error occurs.

### setDatalessNavigation

    public void setDatalessNavigation(boolean datalessNavigation)
                               throws EssException

  Sets if data less navigation is enabled. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `datalessNavigation` - true if data less navigation.
  Throws:
    `EssException` - if an error occurs.

### isEmptyGridError

    public boolean isEmptyGridError()
                             throws EssException

  Checks if to error on empty grid.

  Returns:
    true if to error on empty grid.
  Throws:
    `EssException` - if an error occurs.

### setEmptyGridError

    public void setEmptyGridError(boolean emptyGridError)
                           throws EssException

  Sets if to error on empty grid. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `emptyGridError` - Error on empty grid.
  Throws:
    `EssException` - if an error occurs.

### isRepeatMemberNames

    public boolean isRepeatMemberNames()
                                throws EssException

  Checks if to repeat member names.

  Returns:
    true if to repeat member names.
  Throws:
    `EssException` - if an error occurs.

### setRepeatMemberNames

    public void setRepeatMemberNames(boolean repeatMemberNames)
                              throws EssException

  Sets to repeat member names. The change will become effective after you invoke updatePropertyValues().

  Throws:
    `EssException` - if an error occurs.

### isUseBothForRowDimensions

    public boolean isUseBothForRowDimensions()
                                      throws EssException

  Checks if to use both for row dimensions.

  Returns:
    true if to use both for row dimensions.
  Throws:
    `EssException` - if an error occurs.

### setUseBothForRowDimensions

    public void setUseBothForRowDimensions(boolean useBothForRowDimensions)
                                    throws EssException

  Sets if to use both for row dimensions. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `useBothForRowDimensions` - true to use both for row dimensions
  Throws:
    `EssException` - if an error occurs.

### isSpecifyLatestMember

    public boolean isSpecifyLatestMember()
                                  throws EssException

  Checks if to specify latest member.

  Returns:
    true if to specify latest member.
  Throws:
    `EssException` - if an error occurs.

### setSpecifyLatestMember

    public void setSpecifyLatestMember(boolean specifyLatestMember)
                                throws EssException

  Sets if to specify latest member. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `specifyLatestMember` - true to specify latest member.
  Throws:
    `EssException` - if an error occurs.

### getLatestMemberName

    public java.lang.String getLatestMemberName()
                                         throws EssException

  Gets the latest member name.

  Returns:
    The latest member name.
  Throws:
    `EssException` - if an error occurs.

### setLatestMemberName

    public void setLatestMemberName(java.lang.String latestMemberName)
                             throws EssException

  Sets the latest member name. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `latestMemberName` - The latest member name.
  Throws:
    `EssException` - if an error occurs.

### isMidTierCachingEnabled

    public boolean isMidTierCachingEnabled()
                                    throws EssException

  Checks if mid-tier caching is enabled.

  Returns:
    true if mid-tier caching is enabled.
  Throws:
    `EssException` - if an error occurs.

### setMidTierCachingEnabled

    public void setMidTierCachingEnabled(boolean mtCachingEnabled)
                                  throws EssException

  Sets if mid-tier caching is enabled. It it is enabled and if the grid returned by the previous operation is not changed on the client then the grid will not be sent from the client to EDS server for the next operation. The EDS server caches the previous grid and uses it for the next operation in this case. The change will become effective after you invoke updatePropertyValues().

  Throws:
    `EssException` - if an error occurs.

### getConnectionPoolName

    public java.lang.String getConnectionPoolName()
                                           throws EssException

  Gets the name of the connection pool used.

  Returns:
    The name of the connection pool.
  Throws:
    `EssException` - if an error occurs.

### isHybridAnalysisEnabled

    public boolean isHybridAnalysisEnabled()
                                    throws EssException

  Checks if hybrid analysis is enabled.

  Returns:
    true if hybrid analysis is enabled.
  Throws:
    `EssException` - if an error occurs.

### setHybridAnalysisEnabled

    public void setHybridAnalysisEnabled(boolean enableHa)
                                  throws EssException

  Sets if hybrid analysis is enabled. The default value is false. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `enableHa` - true to enable hybrid analysis.
  Throws:
    `EssException` - if an error occurs.

### isDisplayUnknownMembers

    public boolean isDisplayUnknownMembers()
                                    throws EssException

  Checks if to display unknown members in the grid.

  Returns:
    true if unknown members will be displayed.
  Throws:
    `EssException` - if an error occurs.

### setDisplayUnknownMembers

    public void setDisplayUnknownMembers(boolean dispUnknown)
                                  throws EssException

  Sets if to display unknown members in the grid. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `dispUnknown` - true to display unknown members.
  Throws:
    `EssException` - if an error occurs.

### updatePropertyValues

    public void updatePropertyValues()
                              throws EssException

  Updates the property values. The changes made to this object via setXXX() methods will become effective only after you invoke updatePropertyValues(). If you have opened the cube view with the option of connection per operation, this method will be executed only during the next perform operation.

  Specified by:
    `updatePropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### refreshPropertyValues

    public void refreshPropertyValues()
                               throws EssException

  Refreshes the property values. The JAPI cache for this object is refreshed with the latest values from the server, so that all the getXXX() methods will return the latest values.

  Specified by:
    `refreshPropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### performOperation

    public void performOperation(IEssOperation operation)
                          throws EssException

  Performs an operation on the cube view.

  Parameters:
    `operation` - The operation.
  Throws:
    `EssException` - if an error occurs.

### memberSelection

    public IEssMember[] memberSelection(java.lang.String mbrSel,
                                        java.lang.String fldSel)
                                 throws EssException

  Performs member selection. The parameters are described in IEssMemberSelection.execute(String mbrSel, String fldSel) documentation.

  Throws:
    `EssException`

### memberSelection

    public IEssMember[] memberSelection(java.lang.String mbrName,
                                        int queryType,
                                        int queryOptions,
                                        java.lang.String dimName,
                                        java.lang.String input1,
                                        java.lang.String input2)
                                 throws EssException

  Performs member selection. The parameters are described in IEssMemberSelection.execute(String mbrName, ...) documentation.

  Throws:
    `EssException`

### getGridView

    public IEssGridView getGridView()
                             throws EssException

  Gets the grid view of the cube view.

  Returns:
    The grid view.
  Throws:
    `EssException` - if an error occurs.

### emailOutput

    public void emailOutput(java.lang.String to,
                            java.lang.String cc,
                            java.lang.String bcc,
                            java.lang.String subject)
                     throws EssException

  Send an e-mail of the output to the specified recipients.

  Parameters:
    `to` - To recipient names.
    `cc` - Cc receipient names.
    `subject` - The subject for the message.
  Throws:
    `EssException` - if an error occurs.

### getHtmlOutput

    public java.lang.String getHtmlOutput()
                                   throws EssException

  Gets the HTML view of the output.

  Returns:
    The HTML view of the output.
  Throws:
    `EssException` - if an error occurs.

### save

    public void save()
              throws EssException

  Saves the cube view to the domain store with the current name. (FUTURE USE ONLY)

  Throws:
    `EssException` - if an error occurs.

### save

    public void save(java.lang.String cubeViewName)
              throws EssException

  Saves the cube view to the domain store with the new name. (FUTURE USE ONLY)

  Throws:
    `EssException` - if an error occurs.

### close

    public void close()
               throws EssException

  Closes the cube view.

  Throws:
    `EssException` - if an error occurs.

### createIEssOpZoomIn

    public IEssOpZoomIn createIEssOpZoomIn()
                                    throws EssException

  Creates an object for the interface IEssOpZoomIn.

  Returns:
    The zoom in operation object.
  Throws:
    `EssException` - if an error occurs.

### createIEssOpZoomOut

    public IEssOpZoomOut createIEssOpZoomOut()
                                      throws EssException

  Creates an object for the interface IEssOpZoomOut.

  Returns:
    The zoom out operation object.
  Throws:
    `EssException` - if an error occurs.

### createIEssOpPivot

    public IEssOpPivot createIEssOpPivot()
                                  throws EssException

  Creates an object for the interface IEssOpPivot.

  Returns:
    The pivot operation object.
  Throws:
    `EssException` - if an error occurs.

### createIEssOpKeepOnly

    public IEssOpKeepOnly createIEssOpKeepOnly()
                                        throws EssException

  Creates an object for the interface IEssOpKeepOnly.

  Returns:
    The keep only operation object.
  Throws:
    `EssException` - if an error occurs.

### createIEssOpRemoveOnly

    public IEssOpRemoveOnly createIEssOpRemoveOnly()
                                            throws EssException

  Creates an object for the interface IEssOpRemoveOnly.

  Returns:
    The remove only operation object.
  Throws:
    `EssException` - if an error occurs.

### createIEssOpRetrieve

    public IEssOpRetrieve createIEssOpRetrieve()
                                        throws EssException

  Creates an object for the interface IEssOpRetrieve.

  Returns:
    The retrieve operation object.
  Throws:
    `EssException` - if an error occurs.

### createIEssOpMdxQuery

    public IEssOpMdxQuery createIEssOpMdxQuery()
                                        throws EssException

  Creates an object for the interface IEssOpMdxQuery.

  Returns:
    The MDX query operation object.
  Throws:
    `EssException` - if an error occurs.

### createIEssOpReport

    public IEssOpReport createIEssOpReport()
                                    throws EssException

  Creates an object for the interface IEssOpReport.

  Returns:
    The report operation object.
  Throws:
    `EssException` - if an error occurs.

### createIEssOpLock

    public IEssOpLock createIEssOpLock()
                                throws EssException

  Creates an object for the interface IEssOpLock.

  Returns:
    The lock operation object.
  Throws:
    `EssException` - if an error occurs.

### createIEssOpUnlock

    public IEssOpUnlock createIEssOpUnlock()
                                    throws EssException

  Creates an object for the interface IEssOpUnlock.

  Returns:
    The unlock operation object.
  Throws:
    `EssException` - if an error occurs.

### createIEssOpUpdate

    public IEssOpUpdate createIEssOpUpdate()
                                    throws EssException

  Creates an object for the interface IEssOpUpdate.

  Returns:
    The update operation object.
  Throws:
    `EssException` - if an error occurs.

### createIEssOpUndo

    public IEssOpUndo createIEssOpUndo()
                                throws EssException

  Creates an object for the interface IEssOpUndo.

  Returns:
    The undo operation object.
  Throws:
    `EssException` - if an error occurs.

### createIEssOpCalculate

    public IEssOpCalculate createIEssOpCalculate()
                                          throws EssException

  Creates an object for the interface IEssOpCalculate.

  Returns:
    The calculate operation object.
  Throws:
    `EssException` - if an error occurs.

### getMdDataSet

    public IEssMdDataSet getMdDataSet()
                               throws EssException

  Gets the result after running MDX query operation. This function should only be called after performing MDX query operation using IEssOpMdxQuery otherwise it will return null.

  Returns:
    The IEssMdDataSet instance.
  Throws:
    `EssException` - if an error occurs.

### getCube

    public IEssCube getCube()
                     throws EssException

  Gets the parent cube. This method cannot be used if this cube view object is obtained using openCubeView method in the IEssDomain interface. This method can only be used if this cube view object is obtained using openCubeView method in the IEssCube interface.

  Returns:
    The parent cube.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD